<script>
    var requireJS = [];

    loadJS(requireJS, "js/views/common.js");
    loadCSS('css/bootstrap-tokenfield.min.css');
    loadJS(requireJS, 'js/bootstrap-tokenfield.min.js');
    loadJS(requireJS, 'js/wings-tokenfield.js');
    loadJS(requireJS, "js/views/clients.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="icon-people"></i> Clientes
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-gear"></i>
                                Operaciones
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="actions-dropdown">
                                <a class="dropdown-item disabled" href="#">Elementos seleccionados</a>
                                <!--                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Eliminar</a>
                                                                <a class="dropdown-item disabled" href="#">Contratos</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Regenerar Contratos</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Enviar contrato a portal de firmas</a>
                                                                <a class="dropdown-item disabled" href="#">Envios</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Regenerar Pedidos</a>-->
                                <!--                                <a class="dropdown-item disabled" href="#">Prestador</a>-->
                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" id="action-create-client-xtra">Enviar al Operador</a>
                                <!--                                <a class="dropdown-item disabled" href="#">Otros</a>
                                                                <a sec:authorize="hasRole('ROLE_ADMIN')" class="dropdown-item" href="#">Enviar Email</a>-->
                            </div>
                        </span>
                        &nbsp;


                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary search-button">
                                <i class="fa fa-search"></i>
                            </button>                            
                        </span>
                        <div class="btn-group">
                            <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar...">
                            <span class="search-clear fa fa-remove"></span>
                        </div>

                        &nbsp;                        
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-filter"></i>
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="drop-status-filter">
                                <a class="dropdown-item" href="#">created</a>
                                <a class="dropdown-item" href="#">plan</a>
                                <a class="dropdown-item" href="#">step1</a>
                                <a class="dropdown-item" href="#">step2</a>
                                <a class="dropdown-item" href="#">payment</a>
                                <a class="dropdown-item" href="#">payment_done</a>
                                <a class="dropdown-item" href="#">complete</a>
                                <a class="dropdown-item" href="#">ordered</a>
                                <a class="dropdown-item" href="#">processing</a>
                            </div>
                        </span>                        
                        <div class="btn-group">
                            <input id="tokenfield" th:value="${status}" type="text" class="form-control">
                        </div>



                        <!--                        <div class="input-group">
                                                    <input type="search" class="" id="tokenfield" placeholder="Estado"/>
                                                    <span class="input-group-btn">
                                                        <button class="btn btn-default" type="button">Aplicar</button>
                                                    </span>
                                                </div>-->

                    </div>

                    <br/>


                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">
                                <th><input class="chk-check-all" type="checkbox"></th>
                                <th>#</th>
                                <th>Creacion</th>
                                <th>Titular</th>
                                <th>Dni</th>
                                <th>Empresa</th>
                                <th>Dni</th>                                
                                <th>Lineas</th>
                                <th>Referencia</th>
                                <th>Estado <span class="badge badge-pill badge-danger">?</span></th>
                                <th>Balance €</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="client-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:if="${item.creationDate != null}" th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.creationDate == null}"></td>
                                <td>
                                    <span th:text="${item.name} + ' '+ ${item.lastname}"></span>
                                </td>
                                <td>
                                    <span th:text="${item.idValue} + ' (' + ${item.idType} + ')'"></span>
                                </td>
                                <td>
                                    <span th:if="${item.companyName != null}" th:text="${item.companyName}"></span>
                                </td>
                                <td>                                    
                                    <span th:if="${item.companyName != null}" th:text="${item.companyIdValue} + ' (' + ${item.companyIdType} + ')'"></span>
                                </td>
                                <td th:text="${item.lines.size()}"></td>
                                <td th:text="${item.refCustomerId}"></td>
                                <td>
                                    <div th:switch="${item.status}">
                                        <span class="badge badge-info" th:text="${item.status}" th:case="'step1'"></span>
                                        <span class="badge badge-info" th:text="${item.status}" th:case="'step2'"></span>
                                        <span class="badge badge-warning" th:text="${item.status}" th:case="'payment'"></span>
                                        <span class="badge badge-warning" th:text="${item.status}" th:case="'payment_done'"></span>
                                        <span class="badge badge-success" th:text="${item.status}" th:case="'complete'"></span>
                                        <span class="badge badge-success" th:text="${item.status}" th:case="'ordered'"></span>
                                        <span class="badge badge-default" th:text="${item.status}" th:case="*"></span>
                                    </div>
                                </td>
                                <td th:classappend="${item.balance != null}?'alert-danger':''" class="text-right">
                                    <span th:if="${item.balance != null}" th:text="${#numbers.formatDecimal(item.balance, 0, 'POINT', 2, 'COMMA')}"></span>
                                    <span th:if="${item.balance == null}">0</span> 
                                </td>                                
                                <td>
                                    <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form/view'"></i>
                                    <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form/edit'"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <div th:replace="fragments/pagination :: paginationbar"></div>

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>



<div th:replace="fragments/view-modal"></div>
<div th:replace="fragments/edit-modal"></div>